Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ispace
Class AgentData

    java.lang.Object
      ix.ispace.AgentData

Direct Known Subclasses:
  ISpaceAgent

    public class AgentData

extends java.lang.Object

What we know about another agent.

Field Summary
`protected ix.ispace.ListOfCapability` | `capabilities`
`protected java.lang.String` | `name`
`protected AgentRelationship` | `relationship`

Constructor Summary
`AgentData()`
`AgentData(AgentData oldData)`
`AgentData(java.lang.String name, AgentRelationship relationship)`

Method Summary
`void` | `addCapability(Capability c)`
`boolean` | `capabilitiesAreUnknown()`
`ix.ispace.ListOfCapability` | `getCapabilities()`
`java.lang.String` | `getName()`
`AgentRelationship` | `getRelationship()`
`boolean` | `hasCapability(Capability c)`
`boolean` | `hasCapability(Capability c, boolean defaultIfUnknown)`
`void` | `setCapabilities(java.util.Collection capabilities)`
`void` | `setCapabilities(ix.ispace.ListOfCapability capabilities)`
`void` | `setName(java.lang.String name)`
`void` | `setRelationship(AgentRelationship relationship)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### relationship

    protected AgentRelationship relationship

### capabilities

    protected ix.ispace.ListOfCapability capabilities

Constructor Detail

### AgentData

    public AgentData()

### AgentData

    public AgentData(java.lang.String name,
                     AgentRelationship relationship)

### AgentData

    public AgentData(AgentData oldData)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getRelationship

    public AgentRelationship getRelationship()

### setRelationship

    public void setRelationship(AgentRelationship relationship)

### getCapabilities

    public ix.ispace.ListOfCapability getCapabilities()

### setCapabilities

    public void setCapabilities(ix.ispace.ListOfCapability capabilities)

### setCapabilities

    public void setCapabilities(java.util.Collection capabilities)

### addCapability

    public void addCapability(Capability c)

### hasCapability

    public boolean hasCapability(Capability c)

### hasCapability

    public boolean hasCapability(Capability c,
                                 boolean defaultIfUnknown)

### capabilitiesAreUnknown

    public boolean capabilitiesAreUnknown()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD